# TdApi.SearchQuote (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SearchQuote

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchQuote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundPosition>
it.tdlight.jni.TdApi.SearchQuote

Enclosing class:
  TdApi

public static final class TdApi.SearchQuote extends TdApi.Function<TdApi.FoundPosition>
Searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

Returns `FoundPosition`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.FormattedText`
`quote`
Quote to search for.
`int`
`quotePosition`
Approximate quote position in UTF-16 code units.
`TdApi.FormattedText`
`text`
Text in which to search for the quote.

## Constructor Summary

Constructors
Constructor
Description
`SearchQuote()`
Searches for a given quote in a text.
`SearchQuote(TdApi.FormattedText text, TdApi.FormattedText quote, int quotePosition)`
Searches for a given quote in a text.
`SearchQuote(DataInput input)`
Searches for a given quote in a text.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
Text in which to search for the quote.

### quote

public TdApi.FormattedText quote
Quote to search for.

### quotePosition

public int quotePosition
Approximate quote position in UTF-16 code units.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchQuote

public SearchQuote()
Searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

Returns `FoundPosition`

### SearchQuote

public SearchQuote(TdApi.FormattedText text, TdApi.FormattedText quote, int quotePosition)
Searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

Returns `FoundPosition`

Parameters:
  `text` - Text in which to search for the quote.
  `quote` - Quote to search for.
  `quotePosition` - Approximate quote position in UTF-16 code units.

  Returns `FoundPosition`

### SearchQuote

public SearchQuote(DataInput input) throws IOException
Searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

Returns `FoundPosition`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`